org.richfaces.component

## Class UIScripts

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.UITransient
      - - org.richfaces.component.UIScripts

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, ScriptsHolder

      public class UIScripts
      extends UITransient
      implements ScriptsHolder

  This component user to render Client Validator scripts. Any ClientValidatorBehavior that requires additional scripts should put them to this component, associated with "form" target in view resources.

  Author:
    asmirnov@exadel.com

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIScripts()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Object` | `getAttribute(Object key)`
    `String` | `getFamily()`
    `Collection<Object>` | `getPageReadyScripts()`
    `Collection<Object>` | `getScripts()`
    `String` | `getTarget()`
    `protected boolean` | `hasAttribute(Object key)`
    `protected Object` | `setAttribute(String key, Object value)`
    `void` | `setTarget(String target)`

    - ### Methods inherited from class org.richfaces.component.UITransient

      `addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, getValueExpression, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, setValueExpression`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, clearInitialState, getClientBehaviors, getDefaultEventName, getEventNames, getFacetCount, invokeOnComponent, markInitialState, restoreAttachedState, saveAttachedState, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIScripts

          public UIScripts()

  - ### Method Detail

    - #### getScripts

          public Collection<Object> getScripts()

      Specified by:
        `getScripts` in interface `ScriptsHolder`

    - #### getPageReadyScripts

          public Collection<Object> getPageReadyScripts()

      Description copied from interface: `ScriptsHolder`

      Specified by:
        `getPageReadyScripts` in interface `ScriptsHolder`
      Returns:
        the pageReadyScripts

    - #### getFamily

          public String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### setTarget

          public void setTarget(String target)

    - #### getTarget

          public String getTarget()

    - #### hasAttribute

          protected boolean hasAttribute(Object key)

      Specified by:
        `hasAttribute` in class `UITransient`

    - #### setAttribute

          protected Object setAttribute(String key,
                                        Object value)

      Specified by:
        `setAttribute` in class `UITransient`

    - #### getAttribute

          protected Object getAttribute(Object key)

      Specified by:
        `getAttribute` in class `UITransient`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.